Esta web utiliza cookies propias y de terceros para su funcionamiento. ¿Aceptas? Leer más
Esta consulta es de hace más de un año. Tenga eso en cuenta.
yago_893278
yago_893278
Pregunta cerrado

Al intentar actualizar me sale un error de...

Al intentar actualizar me sale un error de "internal server error".
Tengo facturaScript instalado en un servidor compartido en un hosting de por ahí.
No creo que sea un problema de permisos porque fue algo que ya miramos cuando me topé con el error de "no se puede escribir sobre el directorio '.well-known' ".
Tampoco creo que sea un problema con .ht-access. mayormente porque no tengo un .htaccess activo en el directorio raíz de facturaScript ni en el /base, que es donde vive el fs-updater.php
No sé cómo mirar la versión actual del software.
Si hace falta más información, please ask

España   02-10-2018 20:50:38   04-10-2018 20:21:38   19   [NeoRazorX]

yago_893278
El hosting que tengo me ofrece un cPanel con bastantes cositas. Puedo cambiar versión y módulos de php en carpetas concretas, entrar por SSH... vamos, que aunque no es mi servidor tengo más control de lo que te dan otros
NeoRazorX
Mira la lista de errores en el cpanel.
yago_893278
Aquí está el error que me da:
"[2018-10-03 22:16:27]: error: file is writable by others: (pathToFsRoot/updater.php)"
¿Debería darle permisos 755?
NeoRazorX
Ese error no es de FacturaScripts, sino de Apache. Quítale permisos de escritura para otros, solamente necesita permisos de escritura para el propio Apache.
yago_893278
Ok, he cambiado todos los permisos en el root folder a 644 (que tiene más sentido) y ahora funciona. ¿Hay algún archivo en especial que necesite otros permisos?
-
[[Solucionado]]
Cerrado